var tabla;
//declaramos variables necesarias para trabajar con las Ventas y sus detalles
var impuesto            =$("#impuesto").val();
console.log(impuesto);
var cont                =0;
var detalles            =0;
var indicepermisoborrar =-50;

$("#btnGuardar").hide();
$("#tipo_comprobante").change(marcarImpuesto);

//funcion que se ejecuta al inicio
function init(){
   mostrarform(false);
   listar();
   	
	/*Se captura el evento de guardar los datos */
	$("#btnTotalizar").on("click",function(e){
		/* Evitamos el envío real del formulario */
			e.preventDefault(); 
			validar();
			//console.log(detalles);
			if (detalles<=0){
				bootbox.alert('No agregado producto a su compra');
			}else{
				var val = $("#validado").val();
				//console.log(val);
				if (val==1){  
				// Se va a totalizar la venta
					/* $('#myModalT').modal('show');
					totalizarVenta();
					calcularTotalApagar(); */
					modificarValoresAnumerico();
					imprimirNotaCredito();
				}	
			}
	});

		
	/*Se captura el evento de buscar clave de permiso */   
	$("#formapermiso").on("submit",function(e){
		/* Evitamos el envío real del formulario */
		e.preventDefault();   
		buscarClave();
	});   
	   
	/*Se captura el evento de buscar clave de permiso */   
	$("#formaguardarcliente").on("submit",function(e){
		/* Evitamos el envío real del formulario */
		e.preventDefault();
		$('#myModalCliente').modal('hide');   
		guardarcliente();
	});

	/* se termino de totalizar y se va a guardar */
	$( "#btnGuardarCompra" ).on( "click", function(e) {
		$('#myModalT').modal('hide');
		var tot = $('#validar').val();
		console.log('tot: '+tot);
		if (tot==2){
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					modificarValoresAnumerico();
					imprimirfactura();
					guardaryeditar(e);	
					}
				})
		}
	});   

	// Se busca el codigo de barra
    $("#cod_barra").keypress(function(e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		var codigobarra = $("#cod_barra").val();
		if (keycode == '13') {
			// Evitamos el envío real del enter
			e.preventDefault();
			// Hacemos la llamada al API Buscamos el codigo de barra
			buscarcodigodebarra(codigobarra);
			return false;
		}
	});

	//Capturamos los campos de los articulos pata totalizar

	// Se busca el cliente
	//setup before functions
	var typingTimer;                //timer identifier
	var doneTypingInterval = 5000;  //time in ms, 1 second for example
	var $input = $('#num_documento');

	//Se inicia el conteo para buscar el cliente
	$input.on('keyup', function () {
     	clearTimeout(typingTimer);
     	typingTimer = setTimeout(doneTyping, doneTypingInterval);
	});

	//Se limpia el contador cuando deja de escribir
	$input.on('keydown', function () {
     	clearTimeout(typingTimer);
	});

	//buscamos el cliente
	function doneTyping () {
		var tipo_documento	=	$("#tipo_documento").val();
		var num_documento	=	$("#num_documento").val();
		buscarcliente(tipo_documento,num_documento);
	}

    $("#num_documento").keypress(function(e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		if (keycode == '13') {
			// Evitamos el envío real del enter
			e.preventDefault();
			// Hacemos la llamada al API Buscamos el codigo de barra
			var tipo_documento	=	$("#tipo_documento").val();
			var num_documento	=	$("#num_documento").val();
			buscarcliente(tipo_documento,num_documento);
			return false;
		}
	}); 


	/* Tras cargar el documento posicionamos el cursor en el lector de código de barras */
    document.addEventListener('DOMContentLoaded', function() {
		$("#cod_barra").val("");
		$("#cod_barra").focus();	
	});

	//se verifica si cambia los campos del formulario
	$("#idcliente").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});
	$("#tipo_comprobante").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});
	$("#fecha_hora").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});
	


//    $("#btnGuardarCompra").on("click",function(e){
// 	guardaryeditar(e);  
//    })

   //cargamos los items al select cliente
   $.post("controladores/ventaControlador.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
   	$('#idcliente').selectpicker('refresh');
   });
}

//funcion limpiar
function limpiar(){
	var mpendiente 			= document.getElementById("montopendiente");
	var mpendientedollar	= document.getElementById("montopendientedollar");
	var msubtotal 			= document.getElementById("montosubtotal");
	var mapagarbse 			= document.getElementById("montoapagarbs");
	var mapagardollar 		= document.getElementById("montoapagardollar");
	var mapagareuro 		= document.getElementById("montoapagareuro");
	$('#formulario').data('bootstrapValidator').resetForm(true);
	document.getElementById("formaguardarcliente").reset();
	$("#tipo_documento").val("");
	$("#num_documento").val("");
	$("#nombre").val("");
	$("#tipo_comprobante").val("");
	$("#serie_comprobante").val("");
	$("#num_comprobante").val("");
	$("#impuesto").val("");
	$("#idmetodopago1").prop("checked", false);
	$("#idmetodopago2").prop("checked", false);
	$("#idmetodopago3").prop("checked", false);
	$("#idmetodopago4").prop("checked", false);
	$("#idmetodopago5").prop("checked", false);
	$("#idmetodopago6").prop("checked", false);
	$('#montotc').prop("disabled", true);
	$('#montotd').prop("disabled", true);
	$('#montoed').prop("disabled", true);
	$('#montoeb').prop("disabled", true);
	$('#montoee').prop("disabled", true);
	$('#montotz').prop("disabled", true);
	$('#montotc').val(0);
	$('#montotd').val(0);
	$('#montoed').val(0);
	$('#montoeb').val(0);
	$('#montoee').val(0);
	$('#montotz').val(0);
	$('#montopendiente').val(0);
	$('#montosubtotal').val(0);
	$('#montoapagarbs').val(0);
	$('#validar').val(0);
	mapagarbse.style.backgroundColor 		= "#FBED72";
	mapagarbse.style.color 					= "#052AFA";
	mapagarbse.style.fontSize				= "25px";
	mapagarbse.style.height 				= "45px"	
	mapagardollar.style.backgroundColor 	= "#FBED72";
	mapagardollar.style.color 				= "#052AFA";
	mapagardollar.style.fontSize			= "25px";
	mapagardollar.style.height 				= "45px"
	mapagareuro.style.backgroundColor 		= "#FBED72";
	mapagareuro.style.color 				= "#052AFA";
	mapagareuro.style.fontSize				= "25px";
	mapagareuro.style.height 				= "45px"
	
	mpendiente.style.backgroundColor 		= "#FAF8E6";
	mpendiente.style.color 					= "#FA0526";
	mpendiente.style.fontSize				= "25px";
	mpendiente.style.height 				= "45px";

	mpendientedollar.style.backgroundColor 	= "#FAF8E6";
	mpendientedollar.style.color 			= "#FA0526";
	mpendientedollar.style.fontSize			= "25px";
	mpendientedollar.style.height 			= "45px"
	
	msubtotal.style.backgroundColor 		= "#FAF8E6";
	msubtotal.style.color 					= "#052AFA";
	msubtotal.style.fontSize				= "25px";
	msubtotal.style.height 					= "45px"
	
	
	$("#total_venta").val(0);
	$("#total_venta1").val(0);
	$(".filas").remove();
	$("#total").html("0");

	//obtenemos la fecha actual
	var now 	= 	new Date();
    var today   = 	new Date();
	var dd 		=	("0"+now.getDate()).slice(-2);
    var mm		=	("0"+(now.getMonth()+1)).slice(-2);
    var yyyy    =   now.getFullYear();
	var today	=	yyyy+'-'+mm+'-'+dd;
	$(fecha_hora).val(today);

	//marcamos el primer tipo_documento
	$("#tipo_comprobante").val("Notacredito");
	$("#tipo_comprobante").selectpicker('refresh');
	marcarImpuesto();

	//marcamos el primer tipo_documento
	$("#tipo_documento").val("CEDULA");
	$("#tipo_documento").selectpicker('refresh');
}

function limpiarsolocliente() {
	$("#tipo_documento1").val("");
    $("#num_documento1").val("");
    $("#nombre1").val("");
    $("direccion1").val("");
    $("telefono1").val("");
    $("Email").val("");
    $("email1").val("");
}

//funcion mostrar formulario
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		//$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
		listarArticulos();
		listarPedidoDeBarra();
		buscarNroFacturaControl();
		buscarTasaDeCambio();
		buscarMetodosDePago();
		
		$("#btnGuardar").hide();
		$("#btnCancelar").show();
		detalles=0;
		$("#btnAgregarArt").show();
		$("#btnAgregarSer").show();
		$("#cod_barra").val("");
		$("#cod_barra").focus();

	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//Imprimir notacredito
function imprimirNotaCredito(){
	var cant	=	document.getElementsByName("cantidad[]");
	var prev	=	document.getElementsByName("precio_venta[]");
	var desc	=	document.getElementsByName("descuento[]");
	var porc	=	document.getElementsByName("porcentaje[]");
	var sub		=	document.getElementsByName("subtotal[]");
	var art		=	document.getElementsByName("articulo[]");
	var exe		=	document.getElementsByName("exento[]");
	var notacredito	=	[];
	//nuevo
	/* 	var por 	=	document.getElementsByName("porciento[]");
		var	port	= 	0;
		console.log("por: "+por);
		console.log("por: "+por.length);
		if (por.length){
			for (var i = 0; i < por.length; i++) {
				var por1 = por[i];
				port = port + por1.value*1;
			}
		}else{
			console.log('no existe porcentaje')
		} */
	//
    /* 
    iR*12345678  // rif
    iS*Pedro Pablo Leon //cliente
    iF*00000000001 //Factura Afectada
    iD*14-07-2015  //Fecha
    iI*ZPA2000343  //Impresora Fiscal
    ACOMENTARIO NOTA DE CREDITO //Comentario
    d0000000030000001000PRODUCTO EXENTO
    d1000000050000001000PRODUCTO TASA GRAL
    d2000000070000001000PRODUCTO TASA REDU
    d3000000090000001000PRODUCTO TASA ADIC
    101
    
    */

	var num_doc =	$("#num_documento").val();
	var cliente	=	$("#nombre_cliente").val();
	var num_fac =	$("#num_comprobante").val();
	var fecha	=	$("#fecha_hora").val();
	var fecha2	=	fecha.split('-');

	fecha		= fecha2[2]+'-'+fecha2[1]+'-'+fecha2[0];
	console.log("num_documento: "+$("#num_documento").val());
	console.log("nombre_cliente: "+$("#nombre_cliente").val());
	console.log("num_fac: "+$("#num_comprobante").val());
	console.log("fecha_hora: "+$("#fecha_hora").val());
	//iR*12345678
	//iS*Pedro Pablo Leon
	
	notacredito[0]	= "iS*"+cliente+"\n";
	notacredito[1]	= "iR*"+num_doc+"\n";
	notacredito[2]	= "iF*"+num_fac+"\n";
	notacredito[3]	= "iI*Z1F0015759\n";
	notacredito[4]	= "iD*"+fecha+"\n";
	//notacredito[5]	= "A*NOTA CREDITO\n";

	var n = 5 //Nro de elementos antes del detalle de notacredito	


	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Pvmod	=	prev[i];
		var Dmod	=	desc[i];
		var Pmod	=	porc[i];
		var Smod	=	sub[i];
		var art1	=	art[i];
		var exe1	=	exe[i];
		//Cantidad 14 + 3  **********************
		Cmod1	=	Cmod.value;
		Cmod1	=	Cmod1.toString();
		Cmod2	=	Cmod1.split('.');
		if (Cmod2.length<2){
			Cmod3=Cmod2[0]+'000';
		}else{
			if(Cmod2[1].length<=1){
				Cmod3=Cmod2[0]+Cmod2[1]+"00";
			}else{
				if(Cmod2[1].length<=2){
					Cmod3=Cmod2[0]+Cmod2[1]+"0";
				}else{
					Cmod3=Cmod2[0]+Cmod2[1];
				}
			}
		}
		Cmod4	=	'00000000000000000';
		Cmod5	=	Cmod3.length;
		console.log('Cmod3: '+Cmod3);
		console.log('Cmod5: '+Cmod5);
		Cmod6	=	Cmod4.substring(Cmod5)+Cmod3;

		//Precio 14 + 2  *********************
		Pvmod1	=	Pvmod.value;
		Pvmod1	=	Pvmod1.toString();
		Pvmod2	=	Pvmod1.split('.');
		if (Pvmod2.length<2){
			Pvmod3=Pvmod2[0]+'00';
		}else{
			if(Pvmod2[1].length<=1){
				Pvmod3=Pvmod2[0]+Pvmod2[1]+"0";
			}else{
				Pvmod3=Pvmod2[0]+Pvmod2[1];
			}
		}
		console.log('Pvmod1: '+Pvmod1);
		console.log('Pvmod3: '+Pvmod3);
		Pvmod4	=	'0000000000000000';
		Pvmod5	=	Pvmod3.length;
		Pvmod6	=	Pvmod4.substring(Pvmod5)+Pvmod3;
		console.log('i: '+i+2);
		if (exe1.value=='no'){
			notacredito[i+n] = "d1"+Pvmod6+Cmod6+art1.value+"\n";
		}else{
			notacredito[i+n] = "d"+Pvmod6+Cmod6+art1.value+"\n";
		}
		
	}
	//Nuevo *****************************
	//Para el porcentaje son 9 digitos o 16 digitos
		/* if (port>0){
			port1	=	port.toString();
			port2	=	port1.split('.');
			if (port2.length<2){
				port3=port2[0]+'00';
			}else{
				if(port2[1].length<=1){
					port3=port2[0]+port2[1]+"0";
				}else{
					port3=port2[0]+port2[1].substring(0,2);
				}
			}
			console.log('port1: '+port1);
			console.log('port3: '+port3);
				
			port4	=	'0000000000000000';
			port5	=	port3.length;
			port6	=	port4.substring(port5)+port3;

			notacredito[i+2] = "q+"+port6+"\n";
			notacredito[i+3] ="101";
		}else{ */
	notacredito[i+n] ="101";
		/* } */
	
	console.log(notacredito);
	$.ajax({
		url: 'controladores/modulofiscalControlador.php?op=notacredito',
		method: 'post',
		data: {
			notacredito: notacredito,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			//bootbox.alert('No se encontró el código de barras');
			//Ahora buscamos en la tarjeta de cliente
			
			return;
		}
		/* Todo Bien */
			
		   //agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		})
		.fail(function() {
			alert( "Error" );
		})
		

}

function imprimirfacturalocal(){
	var cant	=	document.getElementsByName("cantidad[]");
	var prev	=	document.getElementsByName("precio_ventasiniva[]");
	var desc	=	document.getElementsByName("descuento[]");
	var porc	=	document.getElementsByName("porcentaje[]");
	var sub		=	document.getElementsByName("subtotal[]");
	var art		=	document.getElementsByName("articulo[]");
	var exe		=	document.getElementsByName("exento[]");
	impuestoiva	=	1+(impuesto/100);
	var factura	=	[];
	
	//factura[0]="iS*Jianping Hu\n";
	//factura[1]="iR*P1660481\n";

	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Pvmod	=	prev[i];
		var Dmod	=	desc[i];
		var Pmod	=	porc[i];
		var Smod	=	sub[i];
		var art1	=	art[i];
		var exe1	=	exe[i];
		//Cantidad 14 + 3  **********************
		Cmod1	=	Cmod.value;
		Cmod1	=	Cmod1.toString();
		Cmod2	=	Cmod1.split('.');
		if (Cmod2.length<2){
			Cmod3=Cmod2[0]+'000';
		}else{
			if(Cmod2[1].length<=1){
				Cmod3=Cmod2[0]+Cmod2[1]+"00";
			}else{
				if(Cmod2[1].length<=2){
					Cmod3=Cmod2[0]+Cmod2[1]+"0";
				}else{
					Cmod3=Cmod2[0]+Cmod2[1];
				}
			}
		}
		Cmod4	=	'00000000000000000';
		Cmod5	=	Cmod3.length;
		console.log('Cmod3: '+Cmod3);
		console.log('Cmod5: '+Cmod5);
		Cmod6	=	Cmod4.substring(Cmod5)+Cmod3;

		//Precio 14 + 2  *********************
		Pvmod1	=	Pvmod.value;
		Pvmod1	=	Pvmod1.toString();
		Pvmod2	=	Pvmod1.split('.');
		if (Pvmod2.length<2){
			Pvmod3=Pvmod2[0]+'00';
		}else{
			if(Pvmod2[1].length<=1){
				Pvmod3=Pvmod2[0]+Pvmod2[1]+"0";
			}else{
				Pvmod3=Pvmod2[0]+Pvmod2[1];
			}
		}
		console.log('Pvmod1: '+Pvmod1);
		console.log('Pvmod3: '+Pvmod3);
		Pvmod4	=	'0000000000000000';
		Pvmod5	=	Pvmod3.length;
		Pvmod6	=	Pvmod4.substring(Pvmod5)+Pvmod3;
		console.log('i: '+i+2);
		if (exe1.value=='no'){
			factura[i+2] = "!"+Pvmod6+Cmod6+art1.value+"\n";
		}else{
			factura[i+2] = " "+Pvmod6+Cmod6+art1.value+"\n";
		}
		
	}
	factura[i+2] ="101";
	console.log(factura);
	$.ajax({
		url: 'controladores/modulofiscalControlador.php?op=factura',
		method: 'post',
		data: {
			factura: factura,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			//bootbox.alert('No se encontró el código de barras');
			//Ahora buscamos en la tarjeta de cliente
			
			return;
		}
		/* Todo Bien */
			
		   //agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		})
		.fail(function() {
			alert( "Error" );
		})
		

}



function marcarImpuesto(){
	var tipo_comprobante=$("#tipo_comprobante option:selected").text();
	var impuestotexto 						= document.getElementById("impuesto");
	impuestotexto.style.backgroundColor 	= "#D5D5CE";
	if (tipo_comprobante=='Factura') {
		$("#impuesto").val(impuesto);
	}else{
		$("#impuesto").val("0");
	}
	
}

// funcion para buscar el cliente
function buscarcliente(tipo_documento,num_documento) {
	var tipo_documento11 = tipo_documento;
	var num_documento11	= num_documento;
	//alert ('tipo y numero: '+ tipo_documento11+ ' '+num_documento11);
	$.ajax({
		url: 'controladores/personaControlador.php?op=buscarcliente',
		method: 'post',
		data: {
			tipo_documento : tipo_documento11,
			num_documento : num_documento11
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		datos=JSON.parse(datos);
		console.log( datos );
		/* Se verifica si se delvovio algun resultado */
		if ((datos == null)||(datos == "undefined")) {
			/* hacer algo */
			bootbox.confirm("El cliente no existe necesita crearlo", function(result){
				if (result) {
					$("#tipo_documento1").val(tipo_documento11);
					$("#tipo_documento1").selectpicker('refresh');
					tipo_documento1.style.backgroundColor 	= "#D5D5CE";
					$("#num_documento1").val(num_documento11);
					num_documento1.style.backgroundColor 	= "#D5D5CE";
					$('#myModalCliente').modal('show');
				}
			})
			return;
		}
		/* Colocamos los datos del cliente */
		$("#nombre_cliente").val(datos.nombre);

		nombre_cliente.style.backgroundColor 	= "#D5D5CE";
		//$('#formulario').bootstrapValidator('false');
		//alert ('nombre y id: '+ datos.nombre+ '--'+datos.idpersona);
		$("#idcliente").val(datos.idpersona);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});

}

//Se busca el numero de factura y control
function buscarNroFacturaControl(){
	idempresa_venta=$("#idempresa_venta").val();
	var serie_comprobante 		= document.getElementById("serie_comprobante");
	var num_comprobante 		= document.getElementById("num_comprobante");
//	alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarNroFacturaControl",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#serie_comprobante").val(data1.nronotacredito);
			serie_comprobante.style.backgroundColor 	= "#D5D5CE";
			$("#num_comprobante").val(0);
			//num_comprobante.style.backgroundColor 		= "#D5D5CE";
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

//Se busca el numero la tasa de cambio
function buscarTasaDeCambio(){
	idempresa_venta=$("#idempresa_venta").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarTasaDeCambio",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#tasa_dollar").val(number_format(data1.tasa_dollar),2);
			$("#tasa_euro").val(number_format(data1.tasa_euro),2);
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

// Se busca los metodo de pagos
function buscarMetodosDePago() {
	var mformapago = '';
	mformapago = 'TARJETA CREDITO';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago1").val(data1.idformapago);
			$("#idmetodopago11").val(data1.idformapago);
	});
	mformapago = 'TARJETA DEBITO';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago2").val(data1.idformapago);
			$("#idmetodopago21").val(data1.idformapago);
		});
	mformapago = 'DOLLAR';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago3").val(data1.idformapago);
			$("#idmetodopago31").val(data1.idformapago);
		});
	mformapago = 'EFECTIVO';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago4").val(data1.idformapago);
			$("#idmetodopago41").val(data1.idformapago);
		});
	mformapago = 'ZELLE';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago5").val(data1.idformapago);
			$("#idmetodopago51").val(data1.idformapago);
		});	
	mformapago = 'EURO';
	$.post("controladores/formapagosControlador.php?op=buscarMetodosDePago",{mformapago : mformapago},
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log(data1);
			$("#idmetodopago6").val(data1.idformapago);
			$("#idmetodopago61").val(data1.idformapago);
		});
}



//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/ventaControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulos(){
	tabla=$('#tblarticulos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ventaControlador.php?op=listarArticulos',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarServicios(){
	tabla=$('#tblservicios').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ventaControlador.php?op=listarServicios',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarPedidoDeBarra(){
	tabla=$('#tblbarras').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/barraControlador.php?op=listarPedidoDeBarra',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function guardarcliente() {
	
	var formDataCliente=new FormData($("#formaguardarcliente")[0]);
	var tipo_documento1 = $("#tipo_documento1").val();
	var num_documento1	= $("#num_documento1").val();
	//alert('ahora vamos aguardar el cliente tipo documento y nro ' + tipo_documento1+' -- '+num_documento1);
	$.ajax({
		url: "controladores/personaclienteControlador.php?op=guardaryeditar",
		type: "POST",
		data: formDataCliente,
		contentType: false,
		processData: false,
		success: function(datos){
			bootbox.alert(datos);
			buscarcliente(tipo_documento1,num_documento1);
		}
	});
	limpiarsolocliente();
}


//funcion para guardaryeditar
function guardaryeditar(){
     //e.preventDefault();//no se activara la accion predeterminada 
     //$("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/ventaControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		listar();
     	}
     });

     limpiar();
}

function mostrar(idventa){
	$.post("controladores/ventaControlador.php?op=mostrar",{idventa : idventa},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#idcliente").val(data.idcliente);
			$("#num_documento").val(data.num_documento);
			$("#nombre").val(data.cliente);
			$("#tipo_comprobante").val(data.tipo_comprobante);
			$("#tipo_comprobante").selectpicker('refresh');
			$("#serie_comprobante").val(data.serie_comprobante);
			$("#num_comprobante").val(data.num_comprobante);
			$("#fecha_hora").val(data.fecha);
			$("#impuesto").val(data.impuesto);
			$("#idventa").val(data.idventa);
			
			//ocultar y mostrar los botones
			$("#btnGuardar").hide();
			$("#btnCancelar").show();
			$("#btnAgregarArt").hide();
			$("#btnAgregarSer").hide();
			$("#btnTotalizar").hide();
			$("#btnAgregarBar").hide();
			
		});
	$.post("controladores/ventaControlador.php?op=listarDetalle&id="+idventa,function(r){
		$("#detalles").html(r);
	});

}





//funcion para desactivar
function anular(idventa){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/ventaControlador.php?op=anular", {idventa : idventa}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}




function buscarcodigodebarratarjetapendiente(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	var estado = 0;
	$.ajax({
		url: 'complemento/leercodigobarratarjetapendiente.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			bootbox.alert('No se encontró el código de barras');
			$("#cod_barra").val("");
			$("#cod_barra").focus();
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
		agregarDetallePedidoDeBarra(datos.idpedido)	
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}



function buscarcodigodebarra(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	$.ajax({
		url: 'complemento/leercodigobarra.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			//bootbox.alert('No se encontró el código de barras');
			//Ahora buscamos en la tarjeta de cliente
			buscarcodigodebarratarjetapendiente(codbarra)
			$("#cod_barra").val("");
			$("#cod_barra").focus(); 
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
			var imp		= 1+(impuesto/100);
			var precio 	= datos.precio*imp;
			console.log('datos.precio: '+datos.precio+' precio: '+precio);	
		   agregarDetalle(datos.idarticulo,datos.idalmacen,datos.nombre,datos.precio,datos.preciod,datos.preciodsiniva,datos.porcentaje,datos.numerolote,datos.fecha,datos.exento);
		   //agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		   //agregarDetalle($reg->idarticulo,$reg->idalmacen,$reg->nombre,$reg->precio_venta,$reg->preciod,$reg->preciodsiniva,$porcentaje,$reg->numerolote,$reg->fecha,$reg->exento.'\')"
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}

function verificarpedido(idpedido) {
	var idpedidos=document.getElementsByName("idpedido[]");
	resultado = true;
	if (idpedidos.length>0) {
		for (var i = 0; i < idpedidos.length; i++) {
			var pedido		=	idpedidos[i];
			var pedidov		=	pedido.value;
			var pedidot		=	pedidov.replace(/[^0-9\,-]/g, ''); // elimino cualquier cosa que no sea numero o coma
			pedidot			=	pedidot.split(',');
			var idpedido1	=	pedidot[2];
			if (idpedido1==idpedido){
				resultado = false;
				break;
			}
		}
	}
	return resultado;	
}


function agregarDetallePedidoDeBarra(idpedido){
	if(verificarpedido(idpedido)){
		$.post("controladores/barraControlador.php?op=agregarDetallePedidoDeBarra&id="+idpedido+"&cont="+cont,function(r){
			$('#detalles').append(r);
			//calculamos la cantidad de articulos que agregaron
			var idart	=	document.getElementsByName("idarticulo[]");
			var nroar	=	idart.length;
			detalles	=	nroar;
			cont		= 	(cont + nroar)-1;
			modificarSubtotales();
			
		//	$("#detalles").html(r);
		});
	}else{
		bootbox.alert('Ya agrego esta tarjeta');
	}
}


function agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,preciod,preciodsiniva,porcentaje,nrolote,fechalote,exento){
	var cantidad	=	1;
	var descuento	=	0;
	var idpedido	=	-300;
	var tasa		= numero($("#tasa_dollar").val());
	precio_venta	=	preciod*tasa;
	impuestoiva		=	1+(impuesto/100);
	precio_venta1	=	precio_venta/impuestoiva;
	console.log('preciod: '+preciod+'y tasa: '+tasa);
	if (idarticulo!="") {
		var iva 	= 0;
		var subtotal= 0;
		var exentot	= 0;
		var precio 	= 0;
		var salida 	= convertDateFormat(fechalote);
		
		if (exento=='si'){
			precio 			= precio_venta*1;
			exentot			= precio_venta*1;
			precio_venta1	= precio_venta*1;
			articulo 		= articulo + ' (E)';
			iva				= 0;
		}else{
			iva				= (precio_venta1*impuesto)/100;
			precio			= precio_venta1+iva;
			//preciod		= preciod + ((preciod*impuesto)/100);
			exentot			= 0;
		}
		subtotal		= cantidad*precio;
		console.log('fecha: '+salida+' precio_venta: '+precio_venta+' precio: '+precio+' preciod: '+preciod+' exentot: '+exentot+' iva: '+iva);
		var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td>N/A</td>'+
		'<td>'+nrolote+' / '+convertDateLote(fechalote)+'</td>'+
        '<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'+number_format(precio,2)+'"></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:80px" value="'+number_format(preciod,1)+'"></td>'+
		'<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'+number_format(porcentaje)+'"></td>'+
		'<td><input type="text" name="descuento[]" style="text-align:right;width:120px" value="'+number_format(descuento,2)+'" ></td>'+
		'<td><input type="text" style="text-align:right;width:120px" name="subtotal[]" id="subtotal[]"  value="'+number_format(subtotal,2)+'"></td>'+
        //'<td><span id="subtotal'+cont+'" name="subtotal">'+subtotal+'</span></td>'+
		'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
		'<input type="hidden" name="nrolote[]" value="'+nrolote+'">'+
		'<input type="hidden" name="precio_ventasiniva[]" id="precio_ventasiniva[]"  value="'+number_format(precio_venta1,2)+'"></input>'+
		'<input type="hidden" name="articulo[]" id="articulo[]" value="'+articulo+'">'+
		'<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'+(idpedido*1)+'">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+number_format(iva,2)+'">'+
		'<input type="hidden" name="exentot[]" value="'+number_format(exentot,2)+'">'+
		'<input type="hidden" name="exento[]" value="'+exento+'">'+
		'</td>'+
		'</tr>';
		cont++;
		detalles++;
		$('#detalles').append(fila);
		modificarSubtotales();

	}else{
		alert("error al ingresar el detalle, revisar las datos del articulo ");
	}
}


// funcion para inicializar los valor de venta
function totalizarVenta(){
	var totalapagar = $("#total_venta1").val();
	var totaladollar= 0;
	var totaleuro 	= 0;
	var tasa_dollar	= numero($("#tasa_dollar").val());
	var tasa_euro	= numero($("#tasa_euro").val());
	totaladollar 	= totalapagar / tasa_dollar;
	totaleuro 		= totalapagar / tasa_euro;
	
	
	$("#montoapagarbs").val(number_format(totalapagar,2));
	$("#montoapagardollar").val(number_format(totaladollar,2));
	$("#montoapagareuro").val(number_format(totaleuro,2));
	$("#montopendiente").val(number_format(totalapagar,2));
	$("#montosubtotal").val(0,00);
	//	alert('hola');
}




// Funcion para verificar que tipo de pago fue seleccionado
function change_checkbox(id,el){
	switch (id) {
		case '1':
			if(el.checked){
				$('#montotc').prop("disabled", false);
				$('#montotc').val("");
			}else{
				$('#montotc').val(0);
				$('#montotc').prop("disabled", true);
			}
		  break;
		case '2':
			if(el.checked){
				$('#montotd').prop("disabled", false);
				$('#montotd').val("");
			}else{
				$('#montotd').val(0);
				$('#montotd').prop("disabled", true);
			}
		  break;
		case '3':
			if(el.checked){
				$('#montoed').prop("disabled", false);
				$('#montoed').val("");
			}else{
				$('#montoed').val(0);
				$('#montoed').prop("disabled", true);
			}
		  break;
		case '4':
			if(el.checked){
				$('#montoeb').prop("disabled", false);
				$('#montoeb').val("");
			}else{
				$('#montoeb').val(0);
				$('#montoeb').prop("disabled", true);
			}
		  break;
		case '5':
			if(el.checked){
				$('#montotz').prop("disabled", false);
				$('#montotz').val("");
			}else{
				$('#montotz').val(0);
				$('#montotz').prop("disabled", true);
			}
			break;	
		case '6':
			if(el.checked){
				$('#montoee').prop("disabled", false);
				$('#montoee').val("");
			}else{
				$('#montoee').val(0);
				$('#montoee').prop("disabled", true);
			}
		  break;
		default:
			alert('el valor de che por defecto: '+id);
	  }
	 calcularTotalApagar();  
}

// Se verifican si cambia algun valor en los tipos de pagos


// $("#montotc").keydown(function() {
// 	// keydown code
// 	//calcularTotalApagar();
// }).keypress(function() {
// 	// keypress code
// }).keyup(function() {
// 	// keyup code
// 	calcularTotalApagar();
// });
$("#montotc").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});

$("#montotd").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});

$("#montoeb").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});

$("#montoed").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});

$("#montotz").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});

$("#montoee").keyup(function(event) {
    // skip for arrow keys
    if(event.which >= 37 && event.which <= 40){
      event.preventDefault();
    }
    var value  = $(this).val();
	$(this).val(decimal(value));
	calcularTotalApagar();
});


function calcularTotalApagar(){
	var totalapagar 		= 0;
	var totalpendiente 		= 0;
	var mpendiente 			= document.getElementById("montopendiente");
	var mpendientedollar	= document.getElementById("montopendientedollar");
	var msubtotal 			= document.getElementById("montosubtotal");
	var montoapagarbs		= $('#montoapagarbs').val();
	var montoapagardollar	= $("#montoapagardollar").val();
	var	montotc				= $('#montotc').val();
	var	montotd				= $('#montotd').val();
	var	montoeb				= $('#montoeb').val();
	var	montoed				= $('#montoed').val();
	var	montotz				= $('#montotz').val();
	var	montoee				= $('#montoee').val();
	var tasa_dollar			= $("#tasa_dollar").val();
	var tasa_euro			= $("#tasa_euro").val();

	if (montotc==''){
		montotc=0;
	}
	if (montotd==''){
		montotd=0;
	}
	if (montoeb==''){
		montoeb=0;
	}
	if (montoed==''){
		montoed=0;
	}
	if (montotz==''){
		montotz=0;
	}
	if (montoee==''){
		montoee=0;
	}
	

	console.log(totalapagar,totalpendiente,montoapagarbs,montotc,montotd,montoeb,montoed,montotz,montoee,tasa_dollar,tasa_euro);

	if (numero(montoed)>0){
		montoed = number_format((numero(montoed)*numero(tasa_dollar)),2);
	}
	if (numero(montotz)>0){
		montotz = number_format((numero(montotz)*numero(tasa_dollar)),2);
	}
	if (numero(montoee)>0){
		montoee = number_format((numero(montoee)*numero(tasa_euro)),2);
	}
	console.log(totalapagar,totalpendiente,montoapagarbs,montotc,montotd,montoeb,montoed,montotz,montoee,tasa_dollar,tasa_euro);

	 
	totalapagar				= number_format((numero(montotc)+numero(montotd)+numero(montoeb)+numero(montoed)+numero(montotz)+numero(montoee)),2);
	totalpendiente			= number_format((numero(montoapagarbs)-numero(totalapagar)),2);
	totalpendientedollar	= number_format((numero(totalpendiente)/numero(tasa_dollar)),2);
	totalredondeo			= number_format((numero(totalapagar)/numero(tasa_dollar)),2);

	console.log('monto redondeo: '+numero(totalredondeo)+' montoapagardollar: '+numero(montoapagardollar));
	if (numero(totalredondeo)>=numero(montoapagardollar)){
		totalpendiente = 0;
	}


	if (numero(totalpendiente)<=0){
		mpendiente.style.backgroundColor 			= "#04CC0A";
		mpendiente.style.color 						= "#052AFA";
		montopendientedollar.style.backgroundColor 	= "#04CC0A";
		montopendientedollar.style.color 			= "#052AFA";
		msubtotal.style.backgroundColor 			= "#04CC0A";
		msubtotal.style.color 						= "#052AFA";
		$('#btnGuardarCompra').prop("disabled", false);
		$('#validar').val(2);
		totalpendiente 								= 0;
		totalpendientedollar 						= 0;
	}else{
		mpendiente.style.backgroundColor 			= "#FAF8E6";
		mpendiente.style.color 						= "#FA0526";
		montopendientedollar.style.backgroundColor 	= "#FAF8E6";
		montopendientedollar.style.color 			= "#FA0526";
		msubtotal.style.backgroundColor 			= "#FAF8E6";
		msubtotal.style.color 						= "#052AFA";
		$('#validar').val(1);
		$('#btnGuardarCompra').prop("disabled", true);
	}
	$("#montopendiente").val(totalpendiente);
	$("#montopendientedollar").val(totalpendientedollar);
	$("#montosubtotal").val(totalapagar);
};


function modificarValoresAnumerico(){
	var cant	=	document.getElementsByName("cantidad[]");
	var prev	=	document.getElementsByName("precio_venta[]");
	var desc	=	document.getElementsByName("descuento[]");
	var porc	=	document.getElementsByName("porcentaje[]");
	var sub		=	document.getElementsByName("subtotal[]");
	var montotc	=	$('#montotc').val();
	var montotd	=	$('#montotd').val();
	var montoed =	$('#montoed').val();
	var montoeb =	$('#montoeb').val();
	var montoee =	$('#montoee').val();
	var montotz =	$('#montotz').val();
	//console.log('montotc montotd montoed montoeb montoee montotz',montotc,montotd,montoed,montoeb,montoee,montotz);
	montotc	=	numero(montotc);
	montotd	=	numero(montotd);
	montoed =	numero(montoed);
	montoeb =	numero(montoeb);
	montoee =	numero(montoee);
	montotz =	numero(montotz);
	//console.log(' despues montotc montotd montoed montoeb montoee montotz',montotc,montotd,montoed,montoeb,montoee,montotz);
	$('#montotc1').val(montotc);
	$('#montotd1').val(montotd);
	$('#montoed1').val(montoed);
	$('#montoeb1').val(montoeb);
	$('#montoee1').val(montoee);
	$('#montotz1').val(montotz);

	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Pvmod	=	prev[i];
		var Dmod	=	desc[i];
		var Pmod	=	porc[i];
		var Smod	=	sub[i];
		Cmod.value	=	numero(Cmod.value);
		Dmod.value	=	numero(Dmod.value);
		Pvmod.value	=	numero(Pvmod.value);
		Pmod.value	=	numero(Pmod.value);
		Smod.value	=	numero(Smod.value);
	}

};


function modificarSubtotales(boton){
	var idart	=	document.getElementsByName("idarticulo[]");
	var cant	=	document.getElementsByName("cantidad[]");
	var prev	=	document.getElementsByName("precio_venta[]");
	var desc	=	document.getElementsByName("descuento[]");
	var porc	=	document.getElementsByName("porcentaje[]");
	var sub		=	document.getElementsByName("subtotal[]");
	

	for (var i = 0; i < cant.length; i++) {
		var inpV	=	cant[i];
		var inpP	=	prev[i];
		var inpS	=	sub[i];
		var des		=	desc[i];
		var por		=	porc[i];
		var subt	=	sub[i];
		
		porT=0;
		if (numero(por.value)>0){
			if (numero(inpP.value)>0){
				porT		= (numero(inpP.value)*numero(por.value))/100;
				console.log(porT);
				inpS.value	= (numero(inpV.value)*(numero(inpP.value)-porT))-(numero(des.value));

			}else{
				porT		= (Totales()*numero(por.value))/100;
				inpS.value	= porT;
				//inpS.value=1000;
			}
		}else{
			console.log('numero(inpV.value): '+numero(inpV.value)+'numero(inpP.value): '+numero(inpP.value)+'numero(des.value): '+numero(des.value))
			inpS.value		=	(numero(inpV.value)*numero(inpP.value))-numero(des.value);
			console.log('inpS.value: '+inpS.value);
		}
		//document.getElementsByName("subtotal")[i].innerHTML=number_format(inpS.value,2);
		subt.value = number_format(inpS.value,2);
	}
	calcularTotales(boton);
}

function calcularTotales(boton){
	//var sub 	= document.getElementsByName("subtotal");
	var sub			=	document.getElementsByName("subtotal[]");
	var iv			= 	document.getElementsByName("iva[]");
	var exento		=	document.getElementsByName("exentot[]");
	var cant		=	document.getElementsByName("cantidad[]");
	var total		= 0;
	var ivatt		= 0;
	var exentott	= 0;
	var totalsiniva	= 0;
	for (var i = 0; i < sub.length; i++) {
		var subt	=	sub[i];
		var ivat	=	iv[i];
		var exentot	=	exento[i];
		var inpV	=	cant[i];
		//total += document.getElementsByName("subtotal")[i].value;
		total 		+= 	numero(subt.value);
		ivatt  		+= 	(numero(ivat.value)*inpV.value);
		exentott	+= 	(numero(exentot.value)*inpV.value);
	}
	totalsiniva 	=	total - ivatt;
	console.log('totalsiniva =total-vatt :'+totalsiniva+' total: '+total+' ivatt: '+ivatt);
	$("#subtotal").html(number_format(totalsiniva,2));	
	$("#iva").html(number_format(ivatt,2));
	$("#exento").html(number_format(exentott,2));
	$("#total").html("Bs." + number_format(total,2));
	$("#total_venta1").val(total);
	$("#total_venta").val("");
	$("#total_venta").val(total);
	evaluar(boton);
}


function Totales(){
	//var sub 	= document.getElementsByName("subtotal");
	var sub		=	document.getElementsByName("subtotal[]");
	var prev	= document.getElementsByName("precio_venta[]");
	var total	= 0.0;

	for (var i = 0; i < sub.length; i++) {
		if (prev[i].value>0){
			total += numero(sub[i].value);
		}
	}
	return total;
}

function evaluar(){
	$("#cod_barra").val("");
	$("#cod_barra").focus();    
	if (detalles>0) 
	{
		$("#btnGuardar").show();
	}
	else
	{
		$("#btnGuardar").hide();
		cont=0;
	}
}

function buscarClave(clave){
	logina=$("#usuariopermiso").val();
	clavea=$("#clavepermiso").val();
	console.log(logina,clavea);
    $.post("controladores/usuarioControlador.php?op=verificarpermiso",
    {"logina":logina, "clavea":clavea},
    function(data)
    {
	    console.log(data);
        if (data==1){
			$("#usuariopermiso").val("");
			$("#clavepermiso").val("");
			$('#myModalPermiso').modal('hide');
			eliminararticulodecafeteria(indicepermisoborrar);
			//eliminarDetalle(indicepermisoborrar);
          // window.location="escritorio";
        }else{
            swal(
                'Error inesperado',
                'El Usuario y/o Password son incorrectos',
                'error'
            ); 
        }
	})
}

function eliminararticulodecafeteriabd(iddetalle,idpedido,idarticulo){
	bootbox.confirm("¿Esta seguro que quiere borrar este producto?", function(result){
		if (result) {
			$.post("controladores/ventaControlador.php?op=eliminararticulodecafeteriabd", {iddetallec : iddetalle,idpedidoc : idpedido,idarticuloc : idarticulo}, function(e){
				if (e==1){
					bootbox.alert('Se borro el producto satifactoriamente');
					eliminarDetalle(indicepermisoborrar);
				}else{
					bootbox.alert('No se pudo borrar el producto');
				}
			//tabla.ajax.reload();
			});
		}
	})
}

function eliminararticulodecafeteria(indicepermisoborrar) {
	var idpedidos=document.getElementsByName("idpedido[]");
	console.log(idpedidos);
	for (var i = 0; i < idpedidos.length; i++) {
		var pedido		=	idpedidos[i];
		var pedidov		=	pedido.value;
		console.log(pedidov);
		var pedidot		=	pedidov.replace(/[^0-9\,-]/g, ''); // elimino cualquier cosa que no sea numero o coma
		pedidot			=	pedidot.split(',');
		var idindice	=	pedidot[0];
		var iddetalle	=	pedidot[1];
		var idpedido	=	pedidot[2];
		var idarticulo	=	pedidot[3];
		//alert('indice -- pedido -- articulo: '+idindice+'--'+idpedido+'--'+idarticulo);
		if (idindice==indicepermisoborrar){
			eliminararticulodecafeteriabd(iddetalle,idpedido,idarticulo);
			break;
		}
	}
}

function eliminarDetalleClave(indice) {
	$('#myModalPermiso').modal('show');
	indicepermisoborrar=indice;
}


function eliminarDetalle(indice){
$("#fila"+indice).remove();
calcularTotales();
detalles=detalles-1;

}

init();